using Abp.Authorization;
using AutoMapper;
using MineTec.ProManager.Authorization.Permissions.Dto;
using MineTec.ProManager.Authorization.Roles;
using MineTec.ProManager.Authorization.Roles.Dto;
using MineTec.ProManager.Authorization.Users;
using MineTec.ProManager.Authorization.Users.Dto;

namespace MineTec.ProManager.Authorization
{
    internal static class AuthorizationMapper
    {
        public static void CreateMappings(IMapperConfigurationExpression configuration)
        {
            configuration.CreateMap<Role, RoleDto>();
            configuration.CreateMap<Permission, RolePermissionDto>();
            configuration.CreateMap<User, UserDto>();
            configuration.CreateMap<User, UserEditDto>();
            configuration.CreateMap<Permission, PermissionDto>();
        }
    }
}
